
Figure - Bug #114654
测试 Test-ST # 114575 (New): V5.0功能测试票

测试 Test-ST # 114608 (New): 体验性测试

【AF】【EVT】【体验性测试】设置的一级列表末尾有较大留白区域
2022-12-16 17:14 - CD TEST-方永红

Status: CLOSED Start date: 2022-12-16

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212160615

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0060.X101

Reproducibility: Every time Fixed Version: 2022-12-20

Test Type: ST Root cause: 由于 Settings 建议展示视图占位，导致底部留白。

Description

【前提条件】

1、设备已开机

【测试步骤】

1、进入设置

2、滑动设置的一级列表

【预期结果】

2、滑动到没有内容的地方就无法滑动

【实际结果】

2、设置的一级列表末尾有较大留白区域

History

#1 - 2022-12-19 15:58 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

171075 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Hide settings first level bottom empty view.TC-RID: 1201-0201813IssueID: TS-R-BUG-114654Change-Id:

Ia9982b28f4806ce977c41ebb9c3d12533abdf682

#2 - 2022-12-19 16:12 - CD FW-廖涛

- Status changed from New to RESOLVED

- Assignee changed from CD FW-廖涛 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2022-12-20

- Root cause set to 由于 Settings 建议展示视图占位，导致底部留白。
■ Current conclusion

已修复，提交：https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/171075

■ My analysis

由于 Settings 建议展示视图占位，导致底部留白。已处理成：没有建议展示视图时，隐藏相关区域。

■ Next action

测试验证。

#3 - 2022-12-21 18:15 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0060.X101

12.21

验证通过

#4 - 2022-12-21 18:15 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

1713.png 242 KB 2022-12-16 CD TEST-方永红

2025-07-04 2/2

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/171075

